couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From till <t...@php.net>
Subject Re: [VOTE] Apache CouchDB 1.0.0 release, first round
Date Thu, 08 Jul 2010 15:46:29 GMT
On Thu, Jul 8, 2010 at 1:38 AM, Noah Slater <webmaster@nslater.org> wrote:
> Hello,
>
> I would like call a vote for the Apache CouchDB 1.0.0 release, first round.
>
> We encourage the whole community to download and test these release artifacts so
> that any critical issues can be resolved before the release is made. Everyone is
> free to vote on this release, so get stuck in!
>
> We are voting on the following release artifacts:
>
>  http://people.apache.org/~nslater/dist/1.0.0/
>
> These artifacts have been built from the 1.0.0 tag in Subversion:
>
>  http://svn.apache.org/repos/asf/couchdb/tags/1.0.0/
>
> Happy voting,
>
> N
>

Ubuntu 10.04:
./configure --with-js-lib=/usr/lib/xulrunner-devel-1.9.2.6/lib
--with-js-include=/usr/lib/xulrunner-devel-1.9.2.6/include
make
export LD_LIBRARY_PATH=/usr/lib/xulrunner-devel-1.9.2.6/lib
make check


All tests successful.
Files=34, Tests=509, 45 wallclock secs ( 0.18 usr  0.08 sys + 15.70
cusr  2.34 csys = 18.30 CPU)
Result: PASS

Ubuntu:

Question - should the above be added to the readme file for Ubuntu?
Also, I'm guessing the start script needs to do this on ubuntu as
well. Should this be build in?

CentOS:

Also wondering if anyone had any luck building 1.0.0 on CentOS - it
fails right now because of libcurl (7.15, but 7.18 is required). Even
with the latest CentOS 5.5, there's no libcurl 7.18. Some people say
that they backport a lot of fixes though, so could we instead assume
that 7.15 on CentOS works with CouchDB?

Is there any special reason to require libcurl 7.18 vs. 7.15?

Till

Mime
View raw message